SystemOrganization addCategory: #DanielTests!

TestCase subclass: #ESAbstractDiagramTest
	instanceVariableNames: 'abstractDiagram'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'DanielTests'!

!ESAbstractDiagramTest methodsFor: 'as yet unclassified' stamp: 'Deniels 1/10/2012 16:36'!
testDisplayOn 

	| diagram |
	(ESAbstractDiagram allSubclasses reject: #isAbstractClass)
		do: [ :cls | 
			diagram := cls new.
			diagram gcWrapper: ESDiagramGraphicsContextWrapper new.
			diagram createAxis.
			diagram displayOn: (FormCanvas on: (Form extent: 200@200))
	]! !

TestCase subclass: #ESDiagramGraphicsContextWrapperTest
	instanceVariableNames: 'gC'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'DanielTests'!

!ESDiagramGraphicsContextWrapperTest methodsFor: 'as yet unclassified' stamp: 'Deniels 1/10/2012 03:04'!
setUp 
	
	gC := ESDiagramGraphicsContextWrapper new.! !

!ESDiagramGraphicsContextWrapperTest methodsFor: 'as yet unclassified' stamp: 'Deniels 1/10/2012 03:05'!
testCheckSetup

	self assert: (gC isKindOf: ESDiagramGraphicsContextWrapper).! !

TestCase subclass: #ESEstackDiagramTest
	instanceVariableNames: 'renderer stackDiagram w'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'DanielTests'!

!ESEstackDiagramTest methodsFor: 'running' stamp: 'Deniels 1/10/2012 02:59'!
setUp 
	
	|models|
	models := #(#('a' 1 5) #('b' 2 9) #('c' 4 7)).
	renderer := ESDiagramRenderer new.
	stackDiagram:=(renderer stackDiagram)
		y: #impactOnSystem;
		color: #name;
		useColors: ESAbstractDiagram lightColors;
		width: 250;
		diagramTitle: 'Participation';
		"models: self contributors."
		models: models.! !

!ESEstackDiagramTest methodsFor: 'tests' stamp: 'Deniels 1/9/2012 22:02'!
testCheckSetup

	self assert: (stackDiagram isKindOf: ESStackDiagram).! !

!ESEstackDiagramTest methodsFor: 'tests' stamp: 'Deniels 1/9/2012 22:05'!
testError
	self should: [ w := renderer open ] raise: Error.! !

!ESEstackDiagramTest methodsFor: 'tests' stamp: 'Deniels 1/10/2012 02:49'!
testGetBaseAxis

	stackDiagram setBaseAxis: 20.
	self assert: (stackDiagram getBaseAxis) = 20! !

!ESEstackDiagramTest methodsFor: 'tests' stamp: 'Deniels 1/10/2012 02:49'!
testGetValueAxis

	stackDiagram setValueAxis: 10.
	self assert: (stackDiagram getValueAxis) = 10! !

!ESEstackDiagramTest methodsFor: 'tests' stamp: 'Deniels 1/10/2012 02:48'!
testHasMovedBaseAxis

	self assert: (stackDiagram hasMovedBaseAxis) = false! !

!ESEstackDiagramTest methodsFor: 'tests' stamp: 'Deniels 1/10/2012 02:48'!
testHasMovedValueAxis

	self assert: (stackDiagram hasMovedValueAxis) = false! !

!ESEstackDiagramTest methodsFor: 'tests' stamp: 'Deniels 1/10/2012 02:51'!
testdeviationDescription

	stackDiagram deviationDescription: 'Description'.
	self assert: (stackDiagram deviationDescription) = 'Description'! !

!ESEstackDiagramTest methodsFor: 'tests' stamp: 'Deniels 1/10/2012 02:51'!
testdeviationValue

	stackDiagram deviationValue: 20.
	self assert: (stackDiagram deviationValue) = 20! !

TestCase subclass: #ESHistogramTest
	instanceVariableNames: 'histogram renderer w'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'DanielTests'!

!ESHistogramTest methodsFor: 'running' stamp: 'Deniels 1/10/2012 01:47'!
setUp
	renderer := ESDiagramRenderer new.
	histogram:= (renderer histogram)
		models: #(10 12 13 200 150 13 149 151);
		property: [:each | each ];
		numberOfIntervals: 3;
		rotatedLabels: true;  
		preferredAxisMaxY: 20;
		height: 20;
		width: 90;
		xPadding: 0;
		yPadding: 1;
		addXDecorator: ESBaseLineDecorator new.! !

!ESHistogramTest methodsFor: 'tests' stamp: 'Deniels 1/10/2012 02:08'!
testAvailableColors
	
	|histoAvainbleColor colors|
	colors := OrderedCollection new.
	colors add: Color red.
	histoAvainbleColor := histogram availableColors: colors.
	self assert: (histoAvainbleColor isKindOf: ESHistogram)! !

!ESHistogramTest methodsFor: 'tests' stamp: 'Deniels 1/10/2012 01:23'!
testCheckSetup

	self assert: (histogram isKindOf: ESHistogram).
! !

!ESHistogramTest methodsFor: 'tests' stamp: 'Deniels 1/10/2012 02:06'!
testColor
	
	|histoColor|
	histoColor := histogram color: Color red.
	self assert: (histoColor isKindOf: ESHistogram)! !

!ESHistogramTest methodsFor: 'tests' stamp: 'Deniels 1/10/2012 01:37'!
testGetBaseAxis

	histogram setBaseAxis: 20.
	self assert: (histogram getBaseAxis) = 20! !

!ESHistogramTest methodsFor: 'tests' stamp: 'Deniels 1/10/2012 01:37'!
testGetValueAxis

	histogram setValueAxis: 10.
	self assert: (histogram getValueAxis) = 10! !

!ESHistogramTest methodsFor: 'tests' stamp: 'Deniels 1/10/2012 01:57'!
testGridLine

	| gridLines |
	gridLines := histogram gridLine.
	self assert: (gridLines isKindOf: ESHistogram)! !

!ESHistogramTest methodsFor: 'tests' stamp: 'Deniels 1/10/2012 01:51'!
testHasMovedBaseAxis

	self assert: (histogram hasMovedBaseAxis) = false! !

!ESHistogramTest methodsFor: 'tests' stamp: 'Deniels 1/10/2012 01:50'!
testHasMovedValueAxis

	self assert: (histogram hasMovedValueAxis) = false! !

!ESHistogramTest methodsFor: 'tests' stamp: 'Deniels 1/9/2012 22:03'!
testOpen

	self shouldnt: [ w := renderer open ] raise: Error.
	w ifNotNil: [ w delete ].! !

!ESHistogramTest methodsFor: 'tests' stamp: 'Deniels 1/10/2012 01:56'!
testRegularAxis

	| regularAxis |
	regularAxis := histogram regularAxis.
	self assert: (regularAxis isKindOf: ESHistogram)! !

!ESHistogramTest methodsFor: 'tests' stamp: 'Deniels 1/10/2012 01:57'!
testRegularLabels

	| regularLabels |
	regularLabels := histogram regularLabels.
	self assert: (regularLabels isKindOf: ESHistogram)! !

!ESHistogramTest methodsFor: 'tests' stamp: 'Deniels 1/10/2012 01:54'!
testRegularTicks

	| regularTicks |
	regularTicks := histogram regularTicks.
	self assert: (regularTicks isKindOf: ESHistogram)! !

TestCase subclass: #ESRangeDiagramTest
	instanceVariableNames: 'rangeDiagram renderer w tick gcWrapper'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'DanielTests'!

!ESRangeDiagramTest methodsFor: 'running' stamp: 'Deniels 1/10/2012 16:15'!
setUp
	| models |
	models := #(#('a' 1 5) #('b' 2 9) #('c' 4 7)).
	renderer := ESDiagramRenderer new.
	 
	rangeDiagram :=
		(renderer rangeDiagram)
			identifier: #first;
			minX: #second;
			maxX: #last;
			height: 200;
			rotatedLabels: false;
			labels: [:each | each];
			preferredAxisMinX: 0;
			preferredAxisMaxX: 20;
			addXDecorator: ESValueLabelDecorator new;
			models: models.
			
	rangeDiagram gcWrapper: ESDiagramGraphicsContextWrapper new.
		
	tick := ESRangeDiagram new createTicks.
	tick tickColor: Color green.! !

!ESRangeDiagramTest methodsFor: 'tests' stamp: 'Deniels 1/9/2012 22:08'!
testCheckSetup

	self assert: (rangeDiagram isKindOf: ESRangeDiagram).
	self assert: (tick isKindOf: ESRangeDiagram).! !

!ESRangeDiagramTest methodsFor: 'tests' stamp: 'Deniels 1/10/2012 02:39'!
testDefaultControllerClass
	
	self assert: (rangeDiagram defaultControllerClass) = nil! !

!ESRangeDiagramTest methodsFor: 'as yet unclassified' stamp: 'Deniels 1/10/2012 16:23'!
testDisplayOn
	rangeDiagram createAxis.
	rangeDiagram displayOn: (FormCanvas on: (Form extent: 200@200))
	! !

!ESRangeDiagramTest methodsFor: 'tests' stamp: 'Deniels 1/9/2012 21:32'!
testError
	self should: [ w := diag open ] raise: Error.! !

!ESRangeDiagramTest methodsFor: 'tests' stamp: 'Deniels 1/10/2012 02:16'!
testGetBaseAxis

	rangeDiagram setBaseAxis: 20.
	self assert: (rangeDiagram getBaseAxis) = 20! !

!ESRangeDiagramTest methodsFor: 'tests' stamp: 'Deniels 1/10/2012 02:15'!
testGetValueAxis

	rangeDiagram setValueAxis: 10.
	self assert: (rangeDiagram getValueAxis) = 10! !

!ESRangeDiagramTest methodsFor: 'tests' stamp: 'Deniels 1/10/2012 02:19'!
testHasMovedBaseAxis

	self assert: (rangeDiagram hasMovedBaseAxis) = false! !

!ESRangeDiagramTest methodsFor: 'tests' stamp: 'Deniels 1/10/2012 02:20'!
testHasMovedValueAxis

	self assert: (rangeDiagram hasMovedValueAxis) = false! !

!ESRangeDiagramTest methodsFor: 'tests' stamp: 'Deniels 1/9/2012 22:08'!
testOpen

	self shouldnt: [ w := renderer open ] raise: Error.
	w ifNotNil: [ w delete ].! !

!ESRangeDiagramTest methodsFor: 'tests' stamp: 'Deniels 1/10/2012 02:30'!
testTick
	
	rangeDiagram ticks: tick.
	self assert: (tick tickColor) = Color green.
	self assert: (rangeDiagram ticks) = tick! !

!ESRangeDiagramTest methodsFor: 'tests' stamp: 'Deniels 1/10/2012 02:23'!
testValuesBlock
	
	rangeDiagram valuesBlock: #(1 2 3).
	self assert: (rangeDiagram valuesBlock) = #(1 2 3)! !

!ESRangeDiagramTest methodsFor: 'tests' stamp: 'Deniels 1/10/2012 02:26'!
testdeviationDescription

	rangeDiagram deviationDescription: 'Description'.
	self assert: (rangeDiagram deviationDescription) = 'Description'! !

!ESRangeDiagramTest methodsFor: 'tests' stamp: 'Deniels 1/10/2012 02:24'!
testdeviationValue

	rangeDiagram deviationValue: 20.
	self assert: (rangeDiagram deviationValue) = 20! !

TestCase subclass: #ESTableTest
	instanceVariableNames: 'table'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'DanielTests'!

!ESTableTest methodsFor: 'running' stamp: 'Deniels 1/10/2012 00:54'!
setUp 

	table := ESAbstract2DDiagram new.
"	table width: 300.
	table height: 200."! !

!ESTableTest methodsFor: 'tests' stamp: 'Deniels 1/10/2012 00:54'!
testCheckSetup

	self assert: (table isKindOf: ESAbstract2DDiagram).
"	self assert: (table width) = 300.
	self assert: (table height) = 200."! !
